## gkrellsun-1.0.0.tar.gz

=== Makefile ===
VER=1.0.0
TMP=.

all: comment
	cd src20; make; cd ..

comment:
	@echo
	@echo Building gkrellsun for GKrellM version 2.2.x
	@echo 
	@echo NOTE: GKrellM 2.2.x is for GTK+ 2.4.x versions.
	@echo 

install: comment
	cd src20; make install; cd ..

distclean: clean

clean:
	cd src20; make clean; cd ..
	rm -f gkrellsun*.zip gkrellsun*.tar.gz

dist:
ifeq ($(VER),)
	@echo You must specify a version VER
else
	rm -rf $(TMP)/gkrellsun-$(VER)
	rm -f gkrellsun-$(VER).tar.gz
	rm -f gkrellsun-$(VER).zip
	mkdir $(TMP)/gkrellsun-$(VER)
	tar cf - --files-from MANIFEST | (cd $(TMP)/gkrellsun-$(VER); tar xf -)
	cd $(TMP) && tar cf - gkrellsun-$(VER) | gzip > gkrellsun-$(VER).tar.gz
	cd $(TMP) && zip -rpD gkrellsun-$(VER).zip gkrellsun-$(VER)
	rm -rf $(TMP)/gkrellsun-$(VER)

	@echo
	@echo "gkrellsun-$(VER).tar.gz/.zip files are located in $(TMP)"
	@echo
endif

oldzip:
ifeq ($(ZIPVER),)
	@echo You must specify ZIPVER for the zip target
else
	rm -rf /tmp/gkrellsun-$(ZIPVER)
	rm -f /tmp/tar.exclude
	rm -f /tmp/gkrellsun-$(ZIPVER).tar.gz
	rm -f /tmp/gkrellsun-$(ZIPVER).zip
	mkdir /tmp/gkrellsun-$(ZIPVER)
	touch /tmp/tar.exclude
	find . -print  | grep /CVS$$ | cut -c3- >> /tmp/tar.exclude
	find . -print  | grep /CVS/ | cut -c3- >> /tmp/tar.exclude
	find . -print  | grep .classes | cut -c3- >> /tmp/tar.exclude
	find . -print  | grep /debian | cut -c3- >> /tmp/tar.exclude
	find . -type f -name "*~"  | cut -c3- >> /tmp/tar.exclude
	find . -type f -name "*.o"  | cut -c3- >> /tmp/tar.exclude
	find . -type f -name "*.so"  | cut -c3- >> /tmp/tar.exclude
	find . -type f -name "#*"  | cut -c3- >> /tmp/tar.exclude
	find . -type f -name "suninfo"  | cut -c3- >> /tmp/tar.exclude
	tar cf - * --exclude-from /tmp/tar.exclude | (cd /tmp/gkrellsun-$(ZIPVER); tar xf -)
	cd /tmp && tar cf - gkrellsun-$(ZIPVER) | gzip > gkrellsun-$(ZIPVER).tar.gz
	cd /tmp && zip -rpD gkrellsun-$(ZIPVER).zip gkrellsun-$(ZIPVER)
	rm -f tar.exclude
endif

=== src20/Makefile ===
PACKAGE ?= gkrellsun

GTK_CONFIG ?=pkg-config gtk+-2.0
GTK_INCLUDE ?= `pkg-config gtk+-2.0 --cflags`
GTK_LIB ?= `pkg-config gtk+-2.0 --libs`

INSTALL ?= install

PREFIX ?= /usr/local
INSTALLDIR ?= $(DESTDIR)$(PREFIX)
PLUGINDIR ?= $(INSTALLDIR)/lib/gkrellm2/plugins
LOCALEDIR ?= $(INSTALLDIR)/share/locale

FLAGS = -O2 -Wall -fPIC $(GTK_INCLUDE)
#FLAGS = -g -Wall -fPIC $(GTK_INCLUDE)
LIBS = $(GTK_LIB)
LFLAGS = -shared

ifeq ($(enable_nls),1)
	FLAGS += -DENABLE_NLS -DLOCALEDIR=\"$(LOCALEDIR)\"
	export enable_nls
endif
FLAGS += -DPACKAGE="\"$(PACKAGE)\""
export PACKAGE LOCALEDIR

CC = gcc $(CFLAGS) $(FLAGS)

OBJS = gkrellsun.o CalcEphem.o Moon.o MoonRise.o

IMAGES = ../images/osun.xpm ../images/uvsun.xpm \
         ../images/star.xpm ../images/dot.xpm \
         ../images/moon.xpm ../images/moon_60.xpm

all: gkrellsun.so

gkrellsun.so: $(OBJS)
	(cd po && ${MAKE})
	$(CC) $(OBJS) -o gkrellsun.so $(LFLAGS) $(LIBS)

suninfo: suninfo.o CalcEphem.o Moon.o MoonRise.o
	$(CC) $^ -o suninfo -lm $(LIBS)

clean:
	rm -f *.o core *.so* *.bak *~

gkrellsun.o: gkrellsun.c $(IMAGES)

$(OBJS): CalcEphem.h Moon.h MoonRise.h

#%.o: %.c

install: gkrellsun.so
	(cd po && ${MAKE} install )
	$(INSTALL) -d $(PLUGINDIR)
	$(INSTALL) gkrellsun.so $(PLUGINDIR)

#echodirs:;@echo $(DESTDIR) $(PREFIX) $(INSTALLDIR) $(PLUGINDIR) $(LOCALEDIR)

=== src20/po/Makefile ===
MSGFMT = msgfmt
SUB_DIRS = 
FILES_PO:=$(wildcard *.po)
FILES_MO:=$(FILES_PO:.po=.mo)

LOCALEDIR ?= /usr/share/locale
PACKAGE ?= gkrellsun

ifeq ($(enable_nls),1)
all: mo-files

mo-files: $(FILES_MO)

install: 
	$(MAKE) all
	for f in *.mo ; do mkdir -p \
		$(INSTALL_PREFIX)$(LOCALEDIR)/`basename $$f .mo`/LC_MESSAGES ; \
		cp $$f $(INSTALL_PREFIX)$(LOCALEDIR)/`basename $$f .mo`/LC_MESSAGES/$(PACKAGE).mo ; done

%.mo: %.po
	$(MSGFMT) -f -v -o $@ $<

else

all:

install:

endif

clean:
	$(RM) $(FILES_MO)

=== src20/debian/changelog ===
gkrellsun (0.12.1-1) unstable; urgency=low

  * new upstream version

  * fixed dependencies

  * Debian standards version 3.6.1

 -- Stephan Niemz <sn-debian@Linigo.de>  Thu, 19 Aug 2004 11:50:51 +0200

gkrellmsun (0.9-1) unstable; urgency=low

  * New upstream release 

 -- Norman Walsh <ndw@nwalsh.com>  Wed,  6 Nov 2002 09:02:14 -0500

=== src20/debian/control ===
Source: gkrellsun
Section: x11
Priority: optional
Build-Depends: debhelper (>> 3.0), gkrellm-common (>> 2.2), libgtk2.0-dev
Maintainer: Norman Walsh <ndw@nwalsh.com>
Standards-Version: 3.6.1

Package: gkrellsun
Architecture: any
Depends: gkrellm (>> 2.2), ${shlibs:Depends}
Description: Sunrise/sunset monitor plugin for GKrellM
 This GKrellM plugin displays information about sunrise and sunset
 times, the path of the sun through the sky, and even a rudimentary
 lunar hack.

=== src20/debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -g
endif

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	install -s -m 755 gkrellsun.so debian/tmp/usr/lib/gkrellm2/plugins

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ../ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
